Paycose Docs
Balance
DELETE/balances/{balance_id}

Delete Balance

Soft-delete a customer balance. Ledger rows referencing it are preserved (audit trail).

Request

Example

curl -X DELETE 'https://api.paycose.com/api/v1/app1/platform/wallet/balances/{{balance_id}}' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default).

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "id": "<string>"
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page